/* MOBILE */
body, html {
    height: 100%;
    color: rgb(37, 37, 37);
    font-family: 'Encode Sans Condensed';
    font-size: 15px;
    background-color:  rgb(236, 226, 234);
}

/* Yläpalkki */
.top-bar {
    padding: 10px;
    background-color:rgb(236, 226, 234);
}

/*Yläpalkin oikea nappi*/
.top-bar .button-right {
    float: right;
    text-align: center;
    background-color: rgb(130, 24, 151);
    margin-bottom: 10px;
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 10px;
    padding-bottom: 10px;
    
}


.top-bar .button-right a{
    text-decoration: none;
    font-family:'Chelsea Market';
    color: rgb(255, 255, 255);
    text-align: center;
    font-size: 15px;
}


.top-bar .button-right a:hover {
    color: rgb(211, 175, 245);
}


/*Yläpalkin vasen nappi*/
.top-bar .button-left {
    float: left;
    text-align: center;
    background-color: rgb(130, 24, 151);
    margin-bottom: 10px;
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 10px;
    padding-bottom: 10px;
    
}

.top-bar .button-left a{
    text-decoration: none;
    font-family:'Chelsea Market';
    color: rgb(255, 255, 255);
    text-align: center;
    font-size: 15px;

}
.top-bar .button-left a:hover {
    color: rgb(211, 175, 245);
}


    
/*Banneri*/
.hero-image {
    background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url("tausta_banner.png");
    height: 50%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
}

.hero-text {
    text-align: center;
    position: absolute;
    top:50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color:cornsilk;
}

/*Otsikot*/
h4 {
        font-family: 'Chelsea Market';
        color: rgb(130, 24, 151);
        font-size: 25px;
}

* {
    box-sizing: border-box;
}

/*Laatikot*/

.box {
    font-size: 20px;
    float: left;
    width: 100%;
    background-color: rgb(255, 255, 255);
    text-align: left;
    margin-top: 10px;
    margin-bottom: 10px;
    padding: 30px;
}

#devs-box {
    text-align: center;
    width: 100%;
}

#devs {
    margin-left: 150px;
}

#links-box {
    width: 100%;
}

#links {
    margin-left: 90px;
}

.box .content {
    float: left;
    width: 100%;
    margin-top: 60px;
}

/*Nimet ja kuvat*/
.box .content .card {
    
    float: left;
    padding: 20px;
    text-align: center;
}
.clear {
    clear: both;
}



/* DESKTOP */
@media only screen and (min-width: 768px) {

    body, html {
        height: 100%;
        color: rgb(37, 37, 37);
        font-family:'Encode Sans Condensed';
        font-size: 15px;
        background-color:  rgb(236, 226, 234);
    }
    .top-bar {
        padding: 10px;
        background-color:rgb(236, 226, 234);
    }
    
    .top-bar .button-right {
        float: right;
        text-align: center;
        background-color: rgb(130, 24, 151);
        margin-bottom: 10px;
        padding-left: 20px;
        padding-right: 20px;
        padding-top: 10px;
        padding-bottom: 10px;
        
    }
    
    .top-bar .button-right a{
        text-decoration: none;
        font-family:'Encode Sans Condensed';
        color: rgb(255, 255, 255);
        text-align: center;
        font-size: 20px;
    }
    
    .top-bar .button-right a:hover {
        color: rgb(211, 175, 245);
    }
    
    .top-bar .button-left {
        float: left;
        text-align: center;
        background-color: rgb(130, 24, 151);
        margin-bottom: 10px;
        padding-left: 20px;
        padding-right: 20px;
        padding-top: 10px;
        padding-bottom: 10px;
        
    }
    
    .top-bar .button-left a:hover {
        color: rgb(211, 175, 245);
    }
    
    
    .top-bar .button-left a{
        text-decoration: none;
        font-family:'Encode Sans Condensed';
        color: rgb(255, 255, 255);
        text-align: center;
        font-size: 20px;   
        
    }


    .hero-image {
        background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url("tausta_banner.png");
        height: 50%;
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        position: relative;
    }
    
    .hero-text {
        text-align: center;
        position: absolute;
        top:50%;
        left: 50%;
        transform: translate(-50%, -50%);
        color:cornsilk;
    }
    
    h4 {
            font-family:'Chelsea Market';
            color: rgb(130, 24, 151);
            font-size: 25px;
    }
    
    * {
        box-sizing: border-box;
    }
    
    .container {
        background-color:rgb(236, 226, 234);
        ;
        
    }
    
    /*Laatikoiden sisällön asettelua*/
    
    #devs-box {
        text-align: center;
        width: 100%;
    }

    #devs {
        margin-left: 100px;
    }

    #links-box {
        width: 100%;
    }

    #links {
        margin-left: 200px;
    }

    
    .box {
        font-size: 20px;
        width: 49%;
        background-color: rgb(255, 255, 255);
        text-align: left;
        margin-top: 30px;
        margin-bottom: 15px;
        padding: 30px;
        
    }
    
    #gallery {
        float: right;
        height: 840px;
        width: 50%

    }
    
    .box .content {
        
        width: 100%;
        margin-top: 60px;
        
    }
    
    .box .content .card {
        padding: 20px;
        text-align: center;
    }
    
    .clear {
        clear: both;
    }

}